Banks
For authentication instructions, see API overview.
Endpoints
get
List all banks
Returns a list of banks. The banks are returned in sorted order, with the most recent appearing first.
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/banksResponse
No response schemapost
Create banks
Create banks. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
bankNamestringaccountsarray
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/banks \ -d 'bankName="NBE"' \ -d 'accounts="array"'Response
No response schemaget
Retrieve banks
Returns a single bank, which you can request by passing through an id in the url.
Path parameters
idstringID of the bank
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/banks/:idResponse
No response schemapatch
Update banks
Update banks by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the bank
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/banks/:idResponse
No response schemadelete
Delete banks
Path parameters
idstringID of the bank
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/banks/:id